Bug 813549 - [abrt] xmms-1.2.11-16.20071117cvs.fc17: __GI_exit: Process /usr/libexec/xmms was killed by signal 6 (SIGABRT)
[abrt] xmms-1.2.11-16.20071117cvs.fc17: __GI_exit: Process /usr/libexec/xmms ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xmms (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
abrt_hash:f50c3b63a606501178aed25e8cb...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-17 16:31 EDT by Michal Ambroz
Modified: 2013-08-01 07:29 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 07:29:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (24.16 KB, text/plain)
2012-04-17 16:32 EDT, Michal Ambroz
no flags Details
File: maps (53.62 KB, text/plain)
2012-04-17 16:32 EDT, Michal Ambroz
no flags Details
File: dso_list (11.61 KB, text/plain)
2012-04-17 16:32 EDT, Michal Ambroz
no flags Details
File: build_ids (5.08 KB, text/plain)
2012-04-17 16:32 EDT, Michal Ambroz
no flags Details

  None (edit)
Description Michal Ambroz 2012-04-17 16:31:56 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/libexec/xmms Thanks_Smokey.ogg
crash_function: __GI_exit
executable:     /usr/libexec/xmms
kernel:         3.3.2-1.fc17.x86_64
pid:            5008
pwd:            /mnt/media/mov
remote_result:  NOTFOUND
time:           Tue 17 Apr 2012 10:26:29 PM CEST
uid:            1000
username:       mambroz

backtrace:      Text file, 24738 bytes
build_ids:      Text file, 5207 bytes
dso_list:       Text file, 11888 bytes
maps:           Text file, 54904 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/mambroz/2

core_backtrace:
:11d196ee9220c6039404f4ba675abf3a24d8f0aa 0x35915 __GI_raise libc.so.6 -
:11d196ee9220c6039404f4ba675abf3a24d8f0aa 0x370c8 __GI_abort libc.so.6 -
:11d196ee9220c6039404f4ba675abf3a24d8f0aa 0x2e692 __assert_fail_base libc.so.6 -
:11d196ee9220c6039404f4ba675abf3a24d8f0aa 0x2e742 __GI___assert_fail libc.so.6 -
:8a58512c2cc89530f70932553442289158de3083 0x4211c dequeue_pending_request libX11.so.6 -
:8a58512c2cc89530f70932553442289158de3083 0x431f4 _XReply libX11.so.6 -
:8a58512c2cc89530f70932553442289158de3083 0x3eb8d XSync libX11.so.6 -
:dcb873051315c7954b0b88e3587fb2a80658e654 0x1ae81 gdk_flush libgdk-1.2.so.0 -
:dcb873051315c7954b0b88e3587fb2a80658e654 0x209b5 gdk_image_destroy libgdk-1.2.so.0 -
:dcb873051315c7954b0b88e3587fb2a80658e654 0x20a68 gdk_image_exit libgdk-1.2.so.0 -
:dcb873051315c7954b0b88e3587fb2a80658e654 0xe07b gdk_exit_func libgdk-1.2.so.0 -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=mixer.localdomain
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/run/user/mambroz/keyring-iMZ495/gpg:0:1
:TERM=xterm
:SHELL=/bin/bash
:HISTSIZE=10000
:WINDOWID=31457286
:GNOME_KEYRING_CONTROL=/run/user/mambroz/keyring-iMZ495
:QTDIR=/usr/lib64/qt-3.3
:QTINC=/usr/lib64/qt-3.3/include
:IMSETTINGS_MODULE=none
:USER=mambroz
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.tbz=01;31:*.tbz2=01;31:*.bz=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=01;36:*.au=01;36:*.flac=01;36:*.mid=01;36:*.midi=01;36:*.mka=01;36:*.mp3=01;36:*.mpc=01;36:*.ogg=01;36:*.ra=01;36:*.wav=01;36:*.axa=01;36:*.oga=01;36:*.spx=01;36:*.xspf=01;36:*.pdf=00;33:*.ps=00;33:*.ps.gz=00;33:*.txt=00;33:*.patch=00;33:*.diff=00;33:*.log=00;33:*.tex=00;33:*.xls=00;33:*.xlsx=00;33:*.ppt=00;33:*.pptx=00;33:*.rtf=00;33:*.doc=00;33:*.docx=00;33:*.odt=00;33:*.ods=00;33:*.odp=00;33:*.xml=00;33:*.epub=00;33:*.abw=00;33:*.html=00;33:*.wpd=00;33:
:SSH_AUTH_SOCK=/run/user/mambroz/keyring-iMZ495/ssh
:USERNAME=mambroz
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1464,unix/unix:/tmp/.ICE-unix/1464
:MC_TMPDIR=/tmp/mc-mambroz
:PATH=/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/mambroz/bin
:MAIL=/var/spool/mail/mambroz
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/mnt/media/mov
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1462
:LANG=en_US.utf8
:KDE_IS_PRELINKED=1
:GDM_LANG=en_US.utf8
:KDEDIRS=/usr
:GDMSESSION=gnome
:HISTCONTROL=ignorespace
:XDG_SEAT=seat0
:HOME=/home/mambroz
:SHLVL=3
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:MC_SID=2498
:LOGNAME=mambroz
:CVS_RSH=ssh
:QTLIB=/usr/lib64/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-cHdyUZYS5c,guid=3a9993e4710485cd4a2429740000003d
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/mambroz
:DISPLAY=:0
:COLORTERM=gnome-terminal
:XAUTHORITY=/var/run/gdm/auth-for-mambroz-AfHoNL/database
:XLIB_SKIP_ARGB_VISUALS=1

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 14805                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       14805                14805                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/pts/1
:pos:	0
:flags:	0100002
:1:/dev/pts/1
:pos:	0
:flags:	0100002
:2:/dev/pts/1
:pos:	0
:flags:	0100002
:3:socket:[61228]
:pos:	0
:flags:	02004002
:4:socket:[61232]
:pos:	0
:flags:	02
:5:pipe:[62095]
:pos:	0
:flags:	00
:6:pipe:[62095]
:pos:	0
:flags:	01
:7:pipe:[33670]
:pos:	0
:flags:	01
:8:socket:[62096]
:pos:	0
:flags:	02000002
:9:/mnt/media/mov/Thanks_Smokey.ogg
:pos:	540672
:flags:	0100000

var_log_messages:
:Apr 17 22:11:41 mixer abrt[4253]: Saved core dump of pid 4137 (/usr/libexec/xmms) to /var/spool/abrt/ccpp-2012-04-17-22:11:40-4137 (50286592 bytes)
:Apr 17 22:13:16 mixer yum[4319]: Installed: 1:xmms-debuginfo-1.2.11-16.20071117cvs.fc17.x86_64
:Apr 17 22:15:48 mixer yum[4371]: Installed: xmms-mp3-debuginfo-1.2.11-4.20071117cvs.fc17.x86_64
:Apr 17 22:26:29 mixer abrt[5070]: Saved core dump of pid 5008 (/usr/libexec/xmms) to /var/spool/abrt/ccpp-2012-04-17-22:26:29-5008 (51417088 bytes)
Comment 1 Michal Ambroz 2012-04-17 16:32:00 EDT
Created attachment 578139 [details]
File: backtrace
Comment 2 Michal Ambroz 2012-04-17 16:32:02 EDT
Created attachment 578140 [details]
File: maps
Comment 3 Michal Ambroz 2012-04-17 16:32:05 EDT
Created attachment 578141 [details]
File: dso_list
Comment 4 Michal Ambroz 2012-04-17 16:32:07 EDT
Created attachment 578142 [details]
File: build_ids
Comment 5 Michal Ambroz 2012-04-17 16:51:31 EDT
To reproduce this error:
1) open some file in xmms.
2) play the file
3) press the right arrow to skip 10s and keep it pressed

Sooner or later the process will crash with SIGSEGV. At max I was able to skip like that to cca 7-10 minute of the ogg file before the xmms get crashed.

Best regards
Michal Ambroz
Comment 6 Fedora End Of Life 2013-07-03 23:37:50 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2013-08-01 07:29:23 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.